Subject: Re: CCL:Two Questions about finding code

From: "Noel O'Boyle" <noel.oboyle2-.at.-mail.dcu.ie>
Date: Mon, 04 Jul 2005 09:04:06 +0100

I have used JOELib [1] and the CDK [2] (the Chemistry Development Kit)
to calculate molecular descriptors. Both of these programs are
open-source, and written in Java. They are intended to be used as
libraries for programmers. If you don't want to use Java, you can access
these programs through Python (either with Jython or JPype) - for a
brief tutorial see my article in the CDK News [3].

[1] JOELib: http://www-ra.informatik.uni-tuebingen.de/software/joelib/
[2] CDK: http://almost.cubic.uni-koeln.de/cdk/cdk_top
[3] "Accessing the CDK using Python", CDK News, 2(2), 40, 2005 :
http://almost.cubic.uni-koeln.de/cdk/cdk_top/cdk_news/

Regards,
Noel.

On Fri, 2005-07-01 at 11:00 -0400, Andrew D. Fant wrote:
> Good Morning all,
> 
> I have two questions about source code I am looking for and would
> appreciate any help that anyone can offer.
> 
> 1)  Can anyone recommend a good source for code that can calculate
> various molecular descriptors (a la QSAR/QSPR use)?  Open Source would
> be really nice, though I would settle for anything that I don't actually
> have to pay for.  Fortran or Python would be easiest for me to read, but
> I am not fussy.  This is just for a personal project of mine where I
> would rather borrow code for the descriptors that has already been
> tested to some degree than roll my own from scratch
> 
> 2)   Has anyone got any knowledge of the python bindings for openbabel?
>  I keep hearing rumors of their existence but confirmed sightings are
> rare.  Any pointers to actual code and download sites would be really
> spiffy if possible.
> 
> Thanks for your time and help.
> 
> Andy Fant
> 
> 
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY-.at.-ccl.net
> 
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST-.at.-ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your is mail bouncing from ccl.net domain due to spam filters, please
> use the Web based form from CCL Home Page 
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
> 
> 
>